GET v1/TradeMeListingRule?pageNumber={pageNumber}&pageSize={pageSize}&textExactMatch={textExactMatch}&externalTradeMeOrganisationName={externalTradeMeOrganisationName}&productCode={productCode}&ruleName={ruleName}&modifiedDateFrom={modifiedDateFrom}&modifiedDateTo={modifiedDateTo}&hasListingFailure={hasListingFailure}&groupSKU={groupSKU}&isArchived={isArchived}
This method gets a paged list of Trade Me listing rules.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| pageNumber |
The page number for the list you wish to retrieve |
integer |
Optional Must be greater than 1 Default value is 1 if not specified |
| pageSize |
The page size for the list you wish to retrieve |
integer |
Optional Must be greater than 1 and less than 500 Default value is 500 if not specified |
| textExactMatch |
Whether to search for exact text matches only. The default is to use wildcard/partial matches |
boolean |
Optional |
| externalTradeMeOrganisationName |
Name of the Trade Me selling channel |
string |
Optional |
| productCode |
The product code e.g. PR432 |
string |
Optional |
| ruleName |
Listing rule name |
string |
Optional |
| modifiedDateFrom |
Exclude rules modified before this date and time (assumed to be in the time-zone configured on the organisation's Tradevine account) |
date |
Optional |
| modifiedDateTo |
Exclude rules modified after this date and time (assumed to be in the time-zone configured on the organisation's Tradevine account) |
date |
Optional |
| hasListingFailure |
Filter to rules that have the HasListingFailure flag set - which is set to true when encountering a validation issue when trying to create a listing from the rule |
boolean |
Optional |
| groupSKU |
Filter to multi-variant rules that have the same input groupSKU |
string |
Optional |
| isArchived |
Filter to show only archived products (true) or un-archived products (false) |
boolean |
Optional |
Body Parameters
None.
Response Information
Resource Description
A paged list of Trade Me listing rules.
IPagedCollection (of TradeMeListingRule)
| Name | Description | Type |
|---|---|---|
| TotalCount |
The total number of records in the resultset including those returned on this page |
integer |
| PageNumber |
The page number of the current resultset |
integer |
| PageSize |
The page size of the current resultset |
integer |
| List |
The list of records in this page of the resultset |
Collection of TradeMeListingRule |
Response Formats
application/json
Sample:
{
"TotalCount": 1440,
"PageNumber": 1,
"PageSize": 10,
"List": [
{
"TradeMeListingRuleID": null,
"TradeMeOrganisationID": null,
"ExternalTradeMeOrganisationName": null,
"OrganisationID": null,
"ProductID": null,
"ProductCode": null,
"ProductWarehouseStock": null,
"RuleName": null,
"IsAutoListingEnabled": null,
"AutoListingPriority": null,
"HasListingFailure": null,
"Title": null,
"SubTitle": null,
"IsSellMultipleQty": null,
"SellMultipleQuantity": null,
"StartPrice": null,
"ReservePrice": null,
"BuyNowPrice": 50.0,
"CategoryNumber": null,
"CategoryText": null,
"CategoryOptions": null,
"Description": "My Product 1",
"IsLegalNoticeRead": null,
"IsClassified": null,
"IsProductDisplayedBold": null,
"IsProductUseSubTitles": null,
"IsProductGallery": null,
"IsProductGalleryPlus": null,
"IsProductFeature": null,
"IsProductSuperFeature": null,
"IsProductHomePageCombo": null,
"ListingDurationType": null,
"ListingFixedLengthDuration": null,
"ListingDurationEndTime": null,
"ListingDurationEndDay": null,
"IsListingNew": null,
"IsUseBuyNow": null,
"FixedPriceOfferAutoEnabled": null,
"FixedPriceOfferBiddersAndWatchers": null,
"FixedPriceOfferDuration": null,
"FixedPriceOfferBaseField": null,
"FixedPriceOfferAbsoluteValue": null,
"IsFixedPriceOfferAbsolute": null,
"FixedPriceOfferDelta": null,
"FixedPriceOfferDeltaType": null,
"FixedPriceOfferIgnoreIfFeedbackRatingLessThan": null,
"FixedPriceOfferFeedbackLessThanPercent": null,
"IsAllowBidsAuthBiddersOnly": null,
"IsPaymentViaBankDeposit": null,
"IsPaymentViaCreditCard": null,
"IsPaymentViaCash": null,
"IsPaymentViaAfterpay": null,
"IsPaymentOther": null,
"PaymentOther": null,
"PickupOptions": null,
"ShippingOptions": null,
"CustomShippingLines": null,
"IsShippingPricePerQuantity": null,
"IsOverrideFloatingPricing": null,
"IsOverrideListingOptions": null,
"IsOverrideExtras": null,
"IsOverrideOfferOptions": null,
"IsOverridePaymentMethods": null,
"IsOverrideShippingOptions": null,
"IsListingFooterEnabled": null,
"CreatedDate": null,
"CreatedBy": null,
"ModifiedDate": null,
"ModifiedBy": null,
"IsAutoFeedbackDisabled": null,
"IgnoreFeedback": null,
"ListingFailureText": null,
"CountOpenListings": null,
"HasOpenListings": null,
"LastTradeMeListingExternalID": null,
"QuantityInStock": null,
"IsClearanceItem": null,
"ShippingTemplateID": null,
"ShippingTemplateName": null,
"PhotoIdentifier": null,
"YouTubeVideoKey": null,
"WasPrice": null,
"GroupSku": null,
"TradeMeListingRuleVariantGroupID": null,
"OptionValue1": null,
"OptionValue2": null,
"OptionValue3": null,
"OptionValue4": null,
"OptionValue5": null,
"TradeMeCourierIsBox": null,
"TradeMeCourierBagSize": null,
"TradeMeCourierNoRestrictedItems": null,
"TradeMeCourierSelectedCourier": null,
"TradeMeCourierServiceLevel": null,
"VariantGroup": null,
"Photos": null
},
{
"TradeMeListingRuleID": null,
"TradeMeOrganisationID": null,
"ExternalTradeMeOrganisationName": null,
"OrganisationID": null,
"ProductID": null,
"ProductCode": null,
"ProductWarehouseStock": null,
"RuleName": null,
"IsAutoListingEnabled": null,
"AutoListingPriority": null,
"HasListingFailure": null,
"Title": null,
"SubTitle": null,
"IsSellMultipleQty": null,
"SellMultipleQuantity": null,
"StartPrice": null,
"ReservePrice": null,
"BuyNowPrice": 60.0,
"CategoryNumber": null,
"CategoryText": null,
"CategoryOptions": null,
"Description": "My Product 2",
"IsLegalNoticeRead": null,
"IsClassified": null,
"IsProductDisplayedBold": null,
"IsProductUseSubTitles": null,
"IsProductGallery": null,
"IsProductGalleryPlus": null,
"IsProductFeature": null,
"IsProductSuperFeature": null,
"IsProductHomePageCombo": null,
"ListingDurationType": null,
"ListingFixedLengthDuration": null,
"ListingDurationEndTime": null,
"ListingDurationEndDay": null,
"IsListingNew": null,
"IsUseBuyNow": null,
"FixedPriceOfferAutoEnabled": null,
"FixedPriceOfferBiddersAndWatchers": null,
"FixedPriceOfferDuration": null,
"FixedPriceOfferBaseField": null,
"FixedPriceOfferAbsoluteValue": null,
"IsFixedPriceOfferAbsolute": null,
"FixedPriceOfferDelta": null,
"FixedPriceOfferDeltaType": null,
"FixedPriceOfferIgnoreIfFeedbackRatingLessThan": null,
"FixedPriceOfferFeedbackLessThanPercent": null,
"IsAllowBidsAuthBiddersOnly": null,
"IsPaymentViaBankDeposit": null,
"IsPaymentViaCreditCard": null,
"IsPaymentViaCash": null,
"IsPaymentViaAfterpay": null,
"IsPaymentOther": null,
"PaymentOther": null,
"PickupOptions": null,
"ShippingOptions": null,
"CustomShippingLines": null,
"IsShippingPricePerQuantity": null,
"IsOverrideFloatingPricing": null,
"IsOverrideListingOptions": null,
"IsOverrideExtras": null,
"IsOverrideOfferOptions": null,
"IsOverridePaymentMethods": null,
"IsOverrideShippingOptions": null,
"IsListingFooterEnabled": null,
"CreatedDate": null,
"CreatedBy": null,
"ModifiedDate": null,
"ModifiedBy": null,
"IsAutoFeedbackDisabled": null,
"IgnoreFeedback": null,
"ListingFailureText": null,
"CountOpenListings": null,
"HasOpenListings": null,
"LastTradeMeListingExternalID": null,
"QuantityInStock": null,
"IsClearanceItem": null,
"ShippingTemplateID": null,
"ShippingTemplateName": null,
"PhotoIdentifier": null,
"YouTubeVideoKey": null,
"WasPrice": null,
"GroupSku": null,
"TradeMeListingRuleVariantGroupID": null,
"OptionValue1": null,
"OptionValue2": null,
"OptionValue3": null,
"OptionValue4": null,
"OptionValue5": null,
"TradeMeCourierIsBox": null,
"TradeMeCourierBagSize": null,
"TradeMeCourierNoRestrictedItems": null,
"TradeMeCourierSelectedCourier": null,
"TradeMeCourierServiceLevel": null,
"VariantGroup": null,
"Photos": null
}
]
}